<?xml version="1.0" encoding="UTF-8" ?>
<Configuration status="trace" packages="gov.va.med.cds.log4j">
	<Properties>
		<Property name="log-path">servers/${sys:weblogic.Name}/logs</Property>
	</Properties>
	<Appenders>
		<Console name="STDOUT" target="SYSTEM_OUT">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</Console>
		
		<RollingFile name="ROLLING" fileName="${log-path}/ars-development.log" filePattern="${log-path}/ars-development-%i.log">
			<PatternLayout pattern="%-6r %d{ISO8601} [%15.15t] %-5p %30.30c %x - %m%n" />
			<Policies>
				<SizeBasedTriggeringPolicy size="100KB" />
			</Policies>
			<DefaultRolloverStrategy max="2"/>
		</RollingFile>
		
		<SpringAwareAppenderProxy name="JMS" 
			springConfigResourceType="CLASSPATH"
			springConfigurations="classpath:gov/va/med/cds/log4j/config/jms-app-logging-context.xml">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</SpringAwareAppenderProxy>	
	</Appenders>
	<Loggers>
	
		<Logger name="gov.va.med.cds.ars" level="ERROR">
		    <AppenderRef ref="JMS"/>
		</Logger>
		
		<Logger name="org.springframework" level="WARN"/>

		<Logger name="org.springframework.transaction" level="WARN"/>
		
		<Logger name="org.springframework.aop" level="ERROR"/>
				
		<Logger name="org.hibernate" level="ERROR">
			<AppenderRef ref="ROLLING" />
		</Logger>
		
		<Logger name="org.hibernate.cfg.Environment" level="ERROR">
			<AppenderRef ref="ROLLING" />
		</Logger>
		
		<Logger name="org.apache.commons.dbcp2" level="WARN">
			<AppenderRef ref="ROLLING" />
		</Logger>
		
		<!-- log messages config related to Quartz Scheduler starts -->
		<Logger name="org.quartz" level="INFO" additivity="false">
		    <AppenderRef ref="ROLLING"/>
		</Logger>
		
		<Logger name="org.springframework.scheduling" level="INFO" additivity="false">
		    <AppenderRef ref="ROLLING"/>
		</Logger>
		
		<Logger name="gov.va.med.cds.scheduler" level="INFO" additivity="false">
		    <AppenderRef ref="ROLLING"/>
		</Logger>
		<!-- log messages config related to Quartz Scheduler ends -->
		
		<Root level="WARN">
			<!-- AppenderRef ref="STDOUT" /-->
			<AppenderRef ref="ROLLING" />
		</Root>
	</Loggers>

</Configuration>